function CheckForm() {
    $('#myform').removeAttr('encType');
    $('#myform').removeAttr('encoding');
    if ($('#ChannelName').val() == '') {
        parent.jsprint('频道名称必须填写!', '', 'Warning', null);
        $('#ChannelName').focus();
        return false;
    }
    if ($('#BriefName').val() == '') {
        parent.jsprint('频道简短名称必须填写!', '', 'Warning', null);
        $('#BriefName').focus();
        return false;
    }
    if ($('#TabName').val() == '') {
        parent.jsprint('频道表名必须填写!', '', 'Warning', null);
        $('#TabName').focus();
        return false;
    }
    if ($('#ChannelPath').val() == '') {
        parent.jsprint('前台访问目录必须填写!', '', 'Warning', null);
        $('#ChannelPath').focus();
        return false;
    }
    var ChannelPath = $('#ChannelPath').val();
    if (ChannelPath.substr(ChannelPath.length - 1, 1) != '/' || ChannelPath.substring(0, 1) != '/') {
        parent.jsprint('必须以:/ 开头和结尾,如：/news/', '', 'Warning', null);
        $('#ChannelPath').focus();
        return false;
    }
    if ($('#ModelId').val() == 0) {
        parent.jsprint('所属模型必须选择!', '', 'Warning', null);
        $('#ModelId').focus();
        return false;
    }
    var IsThumbnail = $('input:radio[name=IsThumbnail]:checked').val();
    if (IsThumbnail == 1) {
        if ($('#ThumbW').val() == 0) {
            parent.jsprint('缩略图宽度必须填写!', '', 'Warning', null);
            $('#ThumbW').focus();
            return false;
        }
        if ($('#ThumbH').val() == 0) {
            parent.jsprint('缩略图高度必须填写!', '', 'Warning', null);
            $('#ThumbH').focus();
            return false;
        }
    }
    var IsWaterMark = $('input:radio[name=IsWaterMark]:checked').val();
    if (IsWaterMark == 1) {
        if ($('#WaterMarkLogo').val() == '') {
            parent.jsprint('图片水印Logo路径必须填写!', '', 'Warning', null);
            $('#WaterMarkLogo').focus();
            return false;
        }
    }
    if (IsWaterMark == 2) {
        if ($('#WaterMarkText').val() == '') {
            parent.jsprint('文字水印文字必须填写!', '', 'Warning', null);
            $('#WaterMarkText').focus();
            return false;
        }
    }
}